{ pkgs, inputs, ... }: {
  imports = [
    inputs.apple-silicon.nixosModules.apple-silicon-support

    ./hardware-configuration.nix
    ../../client.nix

    ../../features/plasma6.nix
    ../../features/sound/asahi.nix
    ../../features/wifi.nix
    ../../features/tailscale.nix
    ../../features/bluetooth.nix
    ../../features/telemetry
    ../../features/dns-cache.nix
    ../../features/nas0.nix
  ];
  
  home-manager.users.noe = import ../../../home-manager/noe/hosts/cider.nix;

  networking.hostName = "cider";
  system.stateVersion = "24.05";  

  # aarch64 / asahi stuff
  hardware.asahi = {
    withRust = true;    
    # useExperimentalGPUDriver = true;
    # experimentalGPUInstallMode = "replace";
  };
}
